chrome 에서 java 사용이 불가능 할 경우

※ 2015년 9월 1일 부로 Chrome 에서 더이상 NPAPI 방식의 플러그인 사용을 막아 버렸습니다. 아래 방법대로 flags 페이지에 들어가도 npapi 관련 항목을 찾을 수 없습니다.
크롬 버전 45.0.2454.85 m 이상부터는 NPAPI 방식의 플러그인 사용이 불가능해서 자바 또한 크롬에서는 사용이 불가능 해졌습니다. 이제 자바를 사용하고 있는 사이트라면 크롬대신 파이어폭스를 이용해야 겠네요.


 

Chrome 42 버전으로 업데이트 되면서 자바플러그인 지원을 사용안함으로 기본 설정하도록 변경되었다.
그래서 기존에 자바플러그인을 사용하던 사이트는 접속하면 사용할수 없는 플러그인이라고 나온다. 이를 해결 하는 방법은 크롬에서 NPAPI 사용을 허용하면 된다.

허용방법은 Chrome 주소창에 chrome://flags/#enable-npapi 를 입력 하고 NPAPI 사용를 클릭하여 사용하도록 하면된다.
사용으로 변경하고나서 모든 크롬 브라우저를 닫은 뒤 다시 실행해야 정상적으로 사용 가능하다.

2015-04-22_184901

제대로 작동되는지 확인하려면 아래 URL을 참고
http://java.com/ko/download/installed8.jsp

 

CC BY-NC-SA 4.0 This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.